Commit 8ead0664 authored by Cédric Girardot's avatar Cédric Girardot

Tests : Met à jour Cypress en version 5.1.0

Change-Id: I40d2529dba7b6a113291da68e0dc2b2d42d2ac1d
parent 20d59bb5
{
"dependencies": {
"cypress-file-upload": "^4.0.7"
"cypress-file-upload": "^4.1.1"
}
}
......@@ -2,10 +2,10 @@
# yarn lockfile v1
cypress-file-upload@^4.0.7:
version "4.0.7"
resolved "https://registry.yarnpkg.com/cypress-file-upload/-/cypress-file-upload-4.0.7.tgz#1136139bb3c660b9c39a69f231ac1da7785acaae"
integrity sha512-rFFmnoZ2bWyWFpSV09AhkSUgYEiVy70pcQ6nf/mGTMTrVHvKCCCIfRu3TbgVYHbgBq+0hqjfjQrtz4IbgH7qZA==
cypress-file-upload@^4.1.1:
version "4.1.1"
resolved "https://registry.yarnpkg.com/cypress-file-upload/-/cypress-file-upload-4.1.1.tgz#952713c8104ab7008de99c65bd63f74b244fe4df"
integrity sha512-tX6UhuJ63rNgjdzxglpX+ZYf/bM6PDhFMtt1qCBljLtAgdearqyfD1AHqyh59rOHCjfM+bf6FA3o9b/mdaX6pw==
dependencies:
mime "^2.4.4"
......
FROM cypress/included:4.11.0
FROM cypress/included:5.1.0
RUN apt-get update && \
apt-get install --no-install-recommends -y \
......
......@@ -35,6 +35,7 @@ RUN set -eux; \
ca-certificates \
libgtk2.0-0 \
libgtk-3-0 \
libgbm-dev \
libnotify-dev \
libgconf-2-4 \
libnss3 \
......@@ -50,6 +51,7 @@ RUN set -eux; \
# Install yarn
ENV APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=DontWarn
RUN curl -sL https://deb.nodesource.com/setup_12.x | bash -
RUN set -eux;\
apt-get update && apt-get install -y gnupg; \
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -; \
......@@ -89,7 +91,7 @@ ENV PHP_POST_MAX_SIZE 10M
ENV PHP_VERSION 7.2
# Install Cypress
RUN yarn global add --pure-lockfile cypress@4.11.0;
RUN yarn global add --pure-lockfile cypress@5.1.0;
# Docker
RUN curl -fsSLO https://get.docker.com/builds/Linux/x86_64/docker-17.04.0-ce.tgz && \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment